#!/usr/bin/env python2

import os
import app.util

RUNTIME_CONFIG_OBJECT = app.util.getRuntimeConfiguration()
"""Has clireports constants."""

DEFAULT_CATEGORY     = 'Miscellaneous'

# The Sample cli report image file name to be looked for in cli report type directories.
DEFAULT_SAMPLE_IMAGE     = 'sample.png'
# The default cli report sample image file to be used if in case sample cli report image
# file lookup is failed.
DEFAULT_SAMPLE_IMAGE_URL = '/sf-images/cn-reports/sample_wm.png'
# Default sample cli report image file url location
DEFAULT_SAMPLE_IMAGE_URL_LOCATION = '/sf-images/cn-reports'
# Default sample cli report images directory path
DEFAULT_SAMPLE_IMAGE_FILE_DIRECTORY = os.path.join(RUNTIME_CONFIG_OBJECT['HTTPD_DOCUMENT_ROOT'],
                                      "sf-images", "cn-reports")
# Default time to live in cache in hours
DEFAULT_TIME_TO_LIVE = 24

DEFAULT_FILTER_TYPE_VALUE = 'false'

CATEGORY_DESCRIPTION_MAP = {
 'AgileReports' : {
          'title' : 'Agile Reports',
          'description' : 'TeamForge Agile reports provides timely reports with valuable agile metrics, giving you unparalleled visibility into your iterations & releases',
  },
 'DistributionReports' : {
          'title' : 'Distribution Reports',
          'description' : 'TeamForge Distribution Reports',
  },
 'TrendReports' : {
          'title' : 'Trend Reports',
          'description': 'TeamForge Trend Reports',
  },
 'Miscellaneous' : {
          'title' : 'Miscellaneous Reports',
          'description' : 'Customised and Uncategorised TeamForge reports',
  }
}
