import app.util
import time

class ThreadDump:
    @staticmethod
    def dumpJVMthread(jvmPid, logger, logFile, serviceName, label):
        startStr = 'START of %s JVM thread dump.%s'%(serviceName, label)
        endStr = 'END of %s JVM thread dump.%s' %(serviceName, label)
        if jvmPid is None:
            print "Process id for service %s not found"%serviceName
        else:
            ThreadDump.appendToServiceLog(serviceName, logFile, startStr)
            cmd = "kill -QUIT %s" % jvmPid
            app.util.runSystem(cmd, logger)
            time.sleep(2)
            ThreadDump.appendToServiceLog(serviceName, logFile, endStr)

    @staticmethod
    def appendToServiceLog(serviceName, logFile, msg):
        servicefh = open(logFile, "a+")
        servicefh.write(msg)
        servicefh.write("\n")
        servicefh.flush()
        servicefh.close()
