
from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):
    def configSnippet(self):

        confStr = ""
        if "redhat-7" in self.cfg["PLATFORM"]:
            denyString = ""
            hostString = "Require local"
        else:
            denyString = """Order deny,allow
    Deny from all
"""
            hostString = """Allow from 127.0.0.1
"""
        confStr = """
ExtendedStatus On

# Allow access to server-status from localhost ONLY.
<Location /server-status>
    SetHandler server-status
    %s
    %s
</Location>
""" %(denyString, hostString)
        return confStr
