﻿import app.servicecontrol
import app.util
from app.pgdbadmin import PGCTFDBManager

class ServiceController(app.servicecontrol.ServiceController):
    def isBootstrapped(self):
        cfg = app.util.getRuntimeConfiguration()
        db = PGCTFDBManager(
            cfg.get('IAF_DBNAME'),
            cfg.get('IAF_DBUSER'),
            cfg.get('IAF_DBPASS'),
            None,
            None,
            self.logger,
            cfg.get('postgres/bind/jdbc/port'),
            cfg.get('postgres/bind/jdbc/host'),
            None)

        return db.isDatabaseExisting()
