﻿
from app.scripts import BaseConfigScript
import app.landscape
import app.pgdbadmin

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        return app.pgdbadmin.HbaConfig() \
            .allowAccessForService(
                self.cfg["IAF_DBNAME"],
                self.cfg["IAF_DBUSER"],
                "binary",
                self.cfg['DATABASE_SSL'] == "on") \
            .format()
