from app.scripts import BaseOptionScript
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):

        brandRepoBasePath = self.cfg["SUBVERSION_BRANDING_REPOSITORY_BASE"]
        if not self.isBrandingIntegrationExists(brandRepoBasePath):
            brandRepoBasePath = "%s/sf-svnroot" % self.cfg["SCM_REPOSITORY_DATA_DIR"]
            return "SUBVERSION_BRANDING_REPOSITORY_BASE=%s" % brandRepoBasePath

    def isBrandingIntegrationExists(self, brandRepoBasePath):

        if os.path.isdir(brandRepoBasePath) and os.listdir(brandRepoBasePath):
            return True

        return False

