﻿
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import app.landscape

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Database pgpass file"

    def createRuntime(self):
        passStr = "%s:%s:%s:%s" % (
            self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/host'],
            self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/port'],
            self.cfg['DATABASE_NAME'],
            self.cfg['DATABASE_USERNAME'])
        app.util.runSystem("echo '%s' > %s " % (passStr, self.cfg['PGPASSFILE']), self.log)

        if not app.landscape.Landscape.getSite().getMachinesByService("ctfcore-database")[0].isLocal():
            passStr = "%s:%s:postgres:%s" % (
                self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/host'],
                self.cfg['ctfcore-database-admin/dependency/ctfcore-database/jdbc/port'],
                self.cfg['DATABASE_USERNAME'])
            app.util.runSystem("echo '%s' >> %s " % (passStr, self.cfg['PGPASSFILE']), self.log)

        app.util.runSystem("chmod 0600 %s" % self.cfg['PGPASSFILE'], self.log)
