﻿
import app.servicecontrol
from app.pgdbadmin import PGCTFDBManager

class ServiceController(app.servicecontrol.ServiceController):
    def isBootstrapped(self):
        cfg = app.util.getRuntimeConfiguration()
        db = PGCTFDBManager(
            cfg.get('REPORTS_DATABASE_NAME'),
            cfg.get('REPORTS_DATABASE_USERNAME'),
            cfg.get('REPORTS_DATABASE_PASSWORD'),
            cfg.get('REPORTS_DATABASE_READ_ONLY_USER'),
            cfg.get('REPORTS_DATABASE_READ_ONLY_PASSWORD'),
            self.logger,
            cfg.get('postgres-datamart/bind/jdbc/port'),
            cfg.get('postgres-datamart/bind/jdbc/host'),
            cfg.get('REPORTS_PGPASSFILE'))
        return db.isDatabaseExisting()
