
from app.scripts import BaseVerificationScript
import commands

class VerificationScript(BaseVerificationScript):
    # Script to verify the locale is set to 'en_US.UTF-8'

    scriptDescription = "Verify locale"
    def verificationSnippet(self):
            runCommand = 'locale|grep LANG'
            outputVal = commands.getstatusoutput(runCommand)[1]
            if (outputVal.split("=")[1] != 'en_US.UTF-8'):
                raise Exception("Unsupported locale %s. Please set the locale to en_US.UTF-8."%(outputVal))
