﻿
from app.scripts import BaseVerificationScript
import commands
import platform
import os
import app.defaults

class VerificationScript(BaseVerificationScript):
    # Script to verify selinux

    scriptDescription = "Verify selinux setup"
    def verificationSnippet(self):

        if not os.path.exists(app.defaults.DEFAULT_RUNTIME_DIR):
            (retValInstalled, outputValSelinuxInstalled) = commands.getstatusoutput('rpm -qa | grep selinux')
            if retValInstalled == 0:
                platform_list = platform.dist()
                if platform_list[0] == "redhat" or  platform_list[0] == "centos":
                    version_list = platform_list[1].split(".")
                    if version_list[0] == '6':
                        if version_list[1] < '3':
                            raise Exception("SELinux is enabled in your server. Teamforge Installation with SELinux mode is supported on OS version %s 6.3 and above\n Possible Solution:\n * Upgrade your %s OS version to 6.3 and above." %(platform_list[0].title(), platform_list[0].title()))


