
from app.scripts import BaseVerificationScript
import commands

class VerificationScript(BaseVerificationScript):
    # Script to verify /tmp is not mounted as 'noexec'

    scriptDescription = "Verify mount options for /tmp"
    def verificationSnippet(self):
            runCommand = 'mount | grep "/tmp" | grep "noexec"'
            (retVal, outputVal) = commands.getstatusoutput(runCommand)
            if (retVal == 0):
                raise Exception("The file system /tmp has been mounted with the 'noexec' option. Please remove this option as this is not compatible with TeamForge.")


