
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy ETL war file to deployment path"

    def createRuntime(self):
        tomcatEtlDeployDir = os.path.join(self.cfg['ETL_BASE_DIR'], 'webapps')
        tomcatEtlDeployWar = os.path.join(self.cfg['DEPLOY_FILES_DIR'], 'etl.war')

        cmdStr = "unzip -qo %s -d %s/etl" % (tomcatEtlDeployWar, tomcatEtlDeployDir)
        app.util.runSystem(cmdStr, self.log)



