
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup ETL Tomcat context.xml"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'etl', 'conf-snippets', 'etl-tomcat-context.xml.d')) \
            .evaluateIntoFile(os.path.join(self.cfg['ETL_BASE_DIR'], "conf", "context.xml"))
