
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Set ETL User Ownership"

    def createRuntime(self):
         app.util.runSystem("chown -R %s:%s %s" % (self.cfg['ETL_USER'],
                             self.cfg['ETL_GROUP'],
                             self.cfg['ETL_BASE_DIR']), self.log)
