﻿
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create ETL properties"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'etl', 'conf-snippets', 'etl.properties.d')) \
            .evaluateIntoFile(os.path.join(self.cfg['RUNTIME_DIR'], "conf", "etl.properties"))
