__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."
import app.servicecontrol
from app.pgdbadmin import PGDBAdmin

class ServiceController(app.servicecontrol.ServiceController):
    def isBootstrapped(self):
        cfg = app.util.getRuntimeConfiguration()
        db = PGDBAdmin(
            cfg.get('GERRIT_DATABASE_PERFORMANCE_NAME'),
            cfg.get('GERRIT_DATABASE_PERFORMANCE_USER'),
            cfg.get('GERRIT_DATABASE_PERFORMANCE_PASSWORD'),
            None,
            None,
            self.logger,
            cfg.get('postgres/bind/jdbc/port'))

        return db.isDatabaseExisting()
