__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseConfigScript
import app.landscape
import app.pgdbadmin

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        sslEnabled = self.cfg['DATABASE_SSL'] == "on"

        return app.pgdbadmin.HbaConfig() \
            .allowAccessForService(
                self.cfg["GERRIT_DATABASE_PERFORMANCE_NAME"],
                self.cfg["GERRIT_DATABASE_PERFORMANCE_USER"],
                "gerrit",
                sslEnabled) \
            .format()
