from app.scripts import BaseBootstrapScript
from app.pgdbadmin import PGDBAdmin

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "PostgreSQL recreating User/DB for Gerrit DB"
    def bootstrap(self):
        db = PGDBAdmin(
            self.cfg.get('GERRIT_DATABASE_NAME'),
            self.cfg.get('GERRIT_DATABASE_USER'),
            self.cfg.get('GERRIT_DATABASE_PASSWORD'),
            None,
            None,
            self.log,
            self.cfg.get('postgres/bind/jdbc/port'))

        db.dropDBIfExists()
        db.reCreateUsers()
        db.createDB()
