﻿import app.servicecontrol
from app.pgdbadmin import PGDBAdmin

class ServiceController(app.servicecontrol.ServiceController):
    def isBootstrapped(self):
        cfg = app.util.getRuntimeConfiguration()
        db = PGDBAdmin(
            cfg.get('GERRIT_DATABASE_NAME'),
            cfg.get('GERRIT_DATABASE_USER'),
            cfg.get('GERRIT_DATABASE_PASSWORD'),
            None,
            None,
            self.logger,
            cfg.get('postgres/bind/jdbc/port'))

        return db.isDatabaseExisting()
