
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os
import service.util
import service.constants

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Jboss standalone.xml"

    def createRuntime(self):
        if service.util.isApplicationEnabledLocally(service.constants.APPLICATION_APP):
            app.batch.ConfigBatch(self.log) \
                .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'jboss', 'conf-snippets', 'standalone.conf.d')) \
                .evaluateIntoFile(os.path.join(self.cfg['JBOSS_BIN_DIR'], "standalone.conf"))
