
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Set App User Ownership"

    def createRuntime(self):
         app.util.runSystem("chown -R %s:%s %s" % (self.cfg['APP_USER'], self.cfg['APP_GROUP'], os.path.join(self.cfg['JBOSS_HOME'], 'standalone')), self.log)
         app.util.runSystem("chmod -R 755 %s" % (self.cfg['JBOSS_HOME']), self.log)
