
from app.scripts import BaseOptionScript

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        dType = self.cfg['DATABASE_TYPE']
        if dType == 'postgresql':
            query = "select version();"
        elif dType == 'oracle':
            query = "select 1 from dual"

        return "\n".join(["REPORTS_VALIDATION_QUERY=%s" % query])
