﻿
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup James assembly.xml"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'mail', 'conf-snippets', 'james-assembly.xml.d')) \
            .evaluateIntoFile(os.path.join(self.cfg['JAMES_DEPLOY_DIR'], 'james', 'SAR-INF', 'assembly.xml'))
