﻿
from app.scripts import BaseCreateRuntimeScript

import os
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create log folders"

    def createFolderIfNotExisting(self, folder):
        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
                app.util.runSystem("chown %s:%s %s" % ("postgres", "postgres", folder), self.log)

            except:
                self.logMesg("warn", "Creating log folder %s failed" %folder)

    def createRuntime(self):
        self.createFolderIfNotExisting(self.cfg['REPORTS_PGSQL_LOG_DIR'])
