
from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        localhostIP = '127.0.0.1'
        listenAddresses = self.cfg['POSTGRES_INTERFACE_IP']
        if listenAddresses.find(localhostIP) == -1:
            listenAddresses = localhostIP + ',' + listenAddresses
        confStr= """
listen_addresses = '%s'		# what IP address(es) to listen on;
""" % listenAddresses
        return confStr

