﻿from app.scripts import BaseCreateRuntimeScript
import os
from app.permsutil import Permissions

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create log folders"

    def createFolderIfNotExisting(self, folder):
        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
                Permissions.applyPermissions(folder, owner="postgres", group="postgres")
            except:
                self.logMesg("warn", "Creating log folder %s failed" %folder)

    def createRuntime(self):
        self.createFolderIfNotExisting(self.cfg['PGSQL_LOG_DIR'])
