
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup PostgreSQL configuration"

    def createRuntime(self):
        # Create postgresql config file
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'postgres', 'conf-snippets', 'postgresql.conf.d')) \
            .evaluateIntoFile(self.cfg['PGSQL_POSTGRESQL_CONF_FILE_PATH'])
