﻿
from app.scripts import BaseConfigScript
import app.landscape
import app.pgdbadmin

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        sslEnabled = self.cfg['DATABASE_SSL'] == "on"

        return app.pgdbadmin.HbaConfig() \
            .allowAccessForService(
                self.cfg["REVIEWBOARD_DATABASE_NAME"],
                self.cfg["REVIEWBOARD_DATABASE_USERNAME"],
                "reviewboard",
                sslEnabled) \
            .format()
