
from app.scripts import BaseOptionScript

import app.landscape

class OptionScript(BaseOptionScript):
    def optionSnippet(self):
        localServices = app.landscape.Landscape.getSite().getLocalMachine().getServices()
        options = []

        for service in localServices:
            if service.isDaemon():
                timeout = service.getDaemonStartupInfo().getStartupTimeout()
                if timeout is not None:
                    options.append("%s/daemon/startupTimeout=%s" % (service.getName(), timeout))

        return "\n".join(options)
