
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Indexer app environment"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'search', 'conf-snippets', 'search-environment.xml.d')) \
            .evaluateIntoFile(os.path.join(self.cfg['JAMES_DEPLOY_DIR'], 'search', 'SAR-INF', 'environment.xml'))
