import os
import app.servicecontrol

class ServiceController(app.servicecontrol.ServiceController):
    def getPidFile(self):
        return "/var/run/monit.pid"

    def __getLogPath(self):
        config = app.util.getRuntimeConfiguration()
        return os.path.join(config['LOG_DIR'], 'monit', 'service.log')

    def __runMonit(self, verb):
        return os.system("monit %s < /dev/null >> %s 2>&1 &" % (verb, self.__getLogPath())) == 0

    def startDaemonAsync(self):
        return self.__runMonit("")

    def stopDaemonAsync(self):
        return self.__runMonit("quit")
    
    def getLogPaths(self):
        return [self.__getLogPath()]
