
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Apache error pages"

    def createRuntime(self):
        documentRootFolder = self.cfg['HTTPD_DOCUMENT_ROOT']

        shutil.copy(
            os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'apache', 'code-templates', '404.html'),
            documentRootFolder)
        shutil.copy(
            os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'apache', 'code-templates', '503.html'),
            documentRootFolder)
        shutil.copy(
            os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'apache', 'code-templates', '400_HTTP_ERROR_PAGE.html'),
            documentRootFolder)
