
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Binary Secret script"

    def createRuntime(self):
        binaryAppBin = os.path.join(self.cfg['BINARY_APP_DIR'], 'bin')
        tmplBinaryInit = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'binary', 'code-templates', 'env.sh.tmpl')
        envScript = os.path.join(binaryAppBin,'env.sh')
        tokenProcessor = app.util.getTokenProcessor(self.cfg)
        tokenProcessor.copyWithSubstitution(tmplBinaryInit, envScript)
        app.util.runSystem("chmod 755 %s " % envScript, self.log)

