
from app.scripts import BaseBootstrapScript
import os
import shutil
import app.util
import app.batch
import app.defaults

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Install license"

    def bootstrap(self):
        if os.path.isfile(app.defaults.DEFAULT_LICENSE_PATH):
            shutil.copy(app.defaults.DEFAULT_LICENSE_PATH, app.defaults.INSTALLED_LICENSE_PATH)
            app.util.runSystem("chown %s:%s %s" % (
                    self.cfg['APP_USER'],
                    self.cfg['APP_GROUP'],
                    app.defaults.INSTALLED_LICENSE_PATH),
                self.log)
            app.util.runSystem("chmod 0600 %s" % app.defaults.INSTALLED_LICENSE_PATH, self.log)
