from app.scripts import BaseBootstrapScript
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create robots.txt file"

    def bootstrap(self):
        robotsLocation = os.path.join(self.cfg['DATA_DIR'], "robots.txt");
        robotsFile = open(robotsLocation, "w");
        robotsFile.write("User-agent: *");
        robotsFile.write("\nDisallow: ");
        os.chmod(robotsLocation, 0755)

        apacheUser = self.cfg['HTTPD_USER']
        apacheGroup = self.cfg['HTTPD_GROUP']

        os.system("chown %s:%s %s" % (apacheUser, apacheGroup, robotsLocation))

