
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy OAuth Configuration file"

    def createRuntime(self):

        confFolder = os.path.join(self.cfg['RUNTIME_DIR'], "conf")
        oauthConfigFile = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore-app', 'conf-snippets', 'oauth-config.d', 'oauth-configuration.xml')
        #Copy oauth config file to runtime/conf
        shutil.copy(oauthConfigFile, confFolder)

