
from app.scripts import BaseCreateRuntimeScript
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup infinispan.xml"

    def createRuntime(self):
        targetFilename = os.path.join(self.cfg['RUNTIME_DIR'], 'conf', 'infinispan.xml')

        # infinispan.xml overrides using the conf-snippets
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore-app', 'conf-snippets', 'infinispan-config.xml.d')) \
            .evaluateIntoFile(targetFilename)
