
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os
import shutil

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy Mime-Type file"

    def createRuntime(self):

        confFolder = os.path.join(self.cfg['RUNTIME_DIR'], "conf")
        #Get the mime mapping file.
        mimeTypeFile = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'ctfcore-app', 'conf-snippets', 'mime-types.d', 'mime.types')
        #Copy mime mapping file to runtime/conf
        shutil.copy(mimeTypeFile, confFolder)

