
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy ETL Webservices"

    def createRuntime(self):
	tokenProcessor = app.util.getTokenProcessor(self.cfg)
        wsddSource = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'etl', "conf-snippets", "etl.wsdd.src.d")
        wsddTarget = os.path.join(self.cfg['SOURCEFORGE_HOME'],
                            "", "etc", "webservices", "deploy", "etl")
        for item in os.listdir(wsddSource):
            sourcePath = os.path.join(wsddSource, item)
            destPath = os.path.join(wsddTarget, item)
            tokenProcessor.copyWithSubstitution(sourcePath, destPath)



