from app.scripts import BaseMigrationScript
import os
import pwd

class MigrationScript(BaseMigrationScript):
    # This script is needed to remove the blackduck codesight user
    # To remove the codesight postgres and init script
    scriptDescription = "Remove Black Duck Code Sight user"

    def migrate(self):
        try:
            userInfo = pwd.getpwnam("bds-codesight")
            os.system("userdel %s" %userInfo.pw_name)
        except:
            pass

        bdsDirs = ["/opt/collabnet/blackduck", "/opt/collabnet/codesearch-installer", "/opt/collabnet/teamforge/log/codesearch", "/opt/collabnet/teamforge/log-archive/codesearch"]

        for bdsDir in bdsDirs:
            if os.path.isdir(bdsDir):
                os.system("rm -rf %s"%bdsDir)

        if os.path.isfile("/etc/init.d/bds-codesight-postgresql"):
            os.remove("/etc/init.d/bds-codesight-postgresql")

        if os.path.isfile("/etc/init.d/bds-codesight-tomcat"):
            os.remove("/etc/init.d/bds-codesight-tomcat")

