# This cron runs weekly in order to check updates for TeamForge product

from app.scripts import BaseCronScript

import os
import app.util
import subprocess

class CronScript(BaseCronScript):

    scriptDescription = "Check updates for TeamForge product"

    def cronjob(self):
        autoUpdateConf = self.cfg["AUTOUPDATE_CONF"]
        chkUpdateCmd = "yum check-update CN-ctfcore"
        returnCode = self.execCmdWithReturnCode(chkUpdateCmd)

        if returnCode == 100:
            getTFVersionCmd = "yum check-update CN-ctfcore | grep CN-ctfcore | tail -1| awk '{print $2}' | tr -d '\n\r'"
            newTFVersion = app.util.executeCommand(getTFVersionCmd) + "\n"
            fileObj = open(autoUpdateConf,"w")
            fileObj.write(newTFVersion)
            fileObj.close()
        else:
            if os.path.isfile(autoUpdateConf):
                os.remove(autoUpdateConf)

    def execCmdWithReturnCode(self,command, env=None, useShell=True):

        process = subprocess.Popen(command, shell=useShell,stdout=subprocess.PIPE, stderr=subprocess.PIPE, env=env)
        stdout, stderr = process.communicate()
        returnCode = process.returncode

        return returnCode
