
from app.scripts import BaseConfigScript

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        confStr = ""
        if "redhat-7" in self.cfg["PLATFORM"]:
            allowString = "Require all granted"
        else:
            allowString = """Order allow,deny
    Allow from all"""

        return """
WSGIScriptAlias %s "{__RUNTIME_DIR__}/sourceforge_home/svn-rest/service.wsgi" process-group=sf_svn_wsgi application-group=%%{GLOBAL}
<Location %s>
    WSGIPassAuthorization on
    SetEnv SUBVERSION_PARENT_PATH "%s"
</Location>
""" %(self.cfg['SUBVERSION_REST_API_BRANDING_URI'],
      self.cfg['SUBVERSION_REST_API_BRANDING_URI'],
      self.cfg['SUBVERSION_BRANDING_REPOSITORY_BASE'])
