
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Kettle Job configuration"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'etl', 'conf-snippets', 'dependent-kettle-jobs-config.xml.d')) \
            .evaluateIntoFile(os.path.join(self.cfg['ETL_DEPLOY_WEB_INF_DIR'], "classes", "dependent-kettle-jobs-config.xml"))
