__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
from app.pgdbadmin import PGDBAdmin

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "PostgreSQL recreating User/DB for Gerrit Performance DB"
    def bootstrap(self):
        db = PGDBAdmin(
            self.cfg.get('GERRIT_DATABASE_PERFORMANCE_NAME'),
            self.cfg.get('GERRIT_DATABASE_PERFORMANCE_USER'),
            self.cfg.get('GERRIT_DATABASE_PERFORMANCE_PASSWORD'),
            None,
            None,
            self.log,
            self.cfg.get('postgres/bind/jdbc/port'))

        db.dropDBIfExists()
        db.reCreateUsers()
        db.createDB()
