__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseMigrationScript
from app.pgdbadmin import PGDBAdmin

class MigrationScript(BaseMigrationScript):

    scriptDescription = "PostgreSQL Updating credentials for Gerrit Perf DB User"

    def migrate(self):
        if self.cfg.has_key("GERRIT_DATABASE_PERFORMANCE_PASSWORD"):
            db = PGDBAdmin(
                self.cfg.get("GERRIT_DATABASE_PERFORMANCE_NAME"),
                self.cfg.get("GERRIT_DATABASE_PERFORMANCE_USER"),
                self.cfg.get("GERRIT_DATABASE_PERFORMANCE_PASSWORD"),
                None,
                None,
                self.log,
                self.cfg.get("postgres/bind/jdbc/port"))
            db.setDBPasswd()
