from app.scripts import BaseMigrationScript
from app.pgdbadmin import PGDBAdmin

class MigrationScript(BaseMigrationScript):

    scriptDescription = "PostgreSQL Updating credentials for Gerrit DB User"

    def migrate(self):
        if self.cfg.has_key("GERRIT_DATABASE_PASSWORD"):
            dbAdmin = PGDBAdmin(
                self.cfg.get("GERRIT_DATABASE_NAME"),
                self.cfg.get("GERRIT_DATABASE_USER"),
                self.cfg.get("GERRIT_DATABASE_PASSWORD"),
                None,
                None,
                self.log,
                self.cfg.get("postgres/bind/jdbc/port"))
            dbAdmin.setDBPasswd()
