from app.scripts import BaseConfigScript
import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        machine = app.landscape.Landscape.getSite().getLocalMachine()

        return """
            <system-properties>
                <!-- Jboss transaction management settings -->
                <property name="com.arjuna.ats.arjuna.allowMultipleLastResources" value="true" />
                <!-- JBoss Web settings -->
                <property name="org.apache.jasper.Constants.INJECT_TAGS" value="true" />
                <property name="org.apache.jasper.Constants.USE_INSTANCE_MANAGER_FOR_TAGS" value="true" />

                <!-- Node name, used for clustering -->
                <property name="jboss.node.name" value="%s" />

                <!-- Jastow memory leak fix : artf289760 -->
                <property name="org.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER" value="true" />
            </system-properties>""" % machine.getPhysicalName()
