
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create JBoss control script"

    def createRuntime(self):
        tmplSHFile = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'jboss', 'code-templates', 'run.sh.tmpl')
        shFile = os.path.join(self.cfg['JBOSS_BIN_DIR'], "run.sh")
        tokenProcessor = app.util.getTokenProcessor(self.cfg)
        tokenProcessor.copyWithSubstitution(tmplSHFile, shFile)
        app.util.runSystem("chmod 755 %s " % shFile, self.log)
