
from app.scripts import BaseCreateRuntimeScript

import sys
import commands

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Check SELinux"

    def createRuntime(self):

        if self.cfg['SELINUX_ENABLED'] == "true":
            (retVal, selinuxMode) = commands.getstatusoutput('getenforce')
            if retVal == 0 and not (selinuxMode == 'Disabled' or selinuxMode == 'Permissive'):
                self.logMesg("error", "SELinux is %s. Please change it to Disabled/Permissive "%(selinuxMode))
                sys.exit()
        else:
            pass
