
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "TeamForge scripts setup"

    def createRuntime(self):
        sourceforgeHome = self.cfg['SOURCEFORGE_HOME']
        tmplSHFile = os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'legacy-runtime', 'code-templates', 'set-env.sh.tmpl')
        shFile = os.path.join(self.cfg['RUNTIME_DIR'], 'conf',
             'set-env.sh')
        tokenProcessor = app.util.getTokenProcessor(self.cfg)
        tokenProcessor.copyWithSubstitution(tmplSHFile, shFile)
        app.util.runSystem("chmod 755 %s " % shFile, self.log)

