
from app.scripts import BaseOptionScript
import service.util

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        dType = self.cfg['DATABASE_TYPE']
        if dType == 'postgresql':
            datamartEnabled = service.util.isServiceEnabled(service.constants.SERVICE_REPORTS_PGSQL,
                service.util.getApplicationHost(service.constants.APPLICATION_REPORTS_DATABASE))
        elif dType == 'oracle':
            datamartEnabled = service.util.isServiceEnabled(service.constants.SERVICE_REPORTS_ORACLE,
                service.util.getApplicationHost(service.constants.APPLICATION_REPORTS_DATABASE))
        else:
                raise Exception("DATABASE_TYPE=%s is unsupported" % dType)

        return "\n".join(["REPORTS_ENABLE_REPORT_GENERATION=%s" % str(datamartEnabled).lower()])
