
from app.scripts import BaseOptionScript
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        """Set subversion paths"""

        paths = {
           'SVN_BINARY' : [ '/usr/local/bin/svn', '/usr/bin/svn' ],
           'SVNADMIN_BINARY' : [ '/usr/local/bin/svnadmin', '/usr/bin/svnadmin' ],
           'SVNLOOK_BINARY' : [ '/usr/local/bin/svnlook', '/usr/bin/svnlook' ],
                }

        tokenStr = ""
        for key, locations in paths.items():
            if not self.cfg.has_key(key):
                for location in locations:
                    if os.path.exists(location):
                        tokenStr += "%s=%s\n" % (key, location)
                        break
                else:
                    tokenStr += "%s=None\n" % (key)
        return tokenStr

