﻿
from app.scripts import BaseOptionScript

class OptionScript(BaseOptionScript):
    """ Check if the indexer is enabled somewhere, otherwise enable it on the app box"""

    def optionSnippet(self):
        noExpireUsers = self.cfg.get("USERS_WITH_NO_EXPIRY_PASSWORD", "")

        if noExpireUsers != "":
            usersList = [x.strip() for x in noExpireUsers.split(',')]

            if "gitadmin" in usersList:
                usersList.remove("gitadmin")


            if not "scmadmin" in usersList:
                usersList.append("scmadmin")

            return "USERS_WITH_NO_EXPIRY_PASSWORD=%s" % ",".join(usersList)
        else:
            return ""
