#!/usr/bin/env python

import os
import sys

# Check if script invoked by root user
if os.getuid() != 0:
    print "\nThis program should run as root user. Exiting!!\n"
    sys.exit(1)

from app.selinux_permissions import SELinuxSetting
import app.util

cfg = app.util.getRuntimeConfiguration()

# Check if SELinux is enabled
if cfg['SELINUX_ENABLED'] != "true":
    print "\nSELinux is disabled. Please run this script only when SELinux is enabled\n"

selinuxsetting = SELinuxSetting()
selinuxsetting.fixDataPermissions()

