#!/bin/bash

# Source the tokens

eval "`$RUNTIME_DIR/scripts/options-to-shell-variables.py`"

if [ "X$1" = "X" -o "X$2" = "X" -o "X$1" = "X--help" ]; then
    echo
    echo "Usage:"
    echo
    echo "password_util.sh -encrypt '<password_to_be_encrypted>'"
    echo "password_util.sh -decrypt '<encrypted_password>'"
    echo
    echo "Utility script to encrypt and decrypt password using DES algorithm"
    exit 1
fi

export JAVA_HOME

echo "Input String:$2"
res=`$JAVA_HOME/bin/java -cp $UTIL_JAR_PATH com.vasoftware.sf.system.utils.ScmIntegrationAccessKeyProcessor $1 $2`

if [ $1 == "-encrypt" ]; then
  echo "Encrypted password:$res"
else
  echo "Decrypted password:$res"
fi
