
from app.scripts import BaseConfigScript
import app.util
import app.preprocessor

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        config = []

        if self.cfg['JAMES_GATEWAY_HOST'] and not app.util.isLocalhost(self.cfg['JAMES_GATEWAY_HOST']):
            config.append("<gateway>%s</gateway>" % self.cfg['JAMES_GATEWAY_HOST'])
            config.append("<gatewayPort>%s</gatewayPort>" % self.cfg['JAMES_GATEWAY_PORT'])

            if self.cfg.get('JAMES_GATEWAY_USERNAME', None) and self.cfg.get('JAMES_GATEWAY_PASSWORD', None):
                config.append("<gatewayusername>%s</gatewayusername>" % self.cfg['JAMES_GATEWAY_USERNAME'])
                config.append("<gatewayPassword>%s</gatewayPassword>" % self.cfg['JAMES_GATEWAY_PASSWORD'])

        return "\n".join(config)
