from app.scripts import BaseCronScript

import os
import app.util

class CronScript(BaseCronScript):

    scriptDescription = "Archive dead letter queue"

    def cronjob(self):
        deadletterDir = os.path.join(self.cfg["JAMES_DATA_DIR"], self.cfg["NODE_HOSTNAME"], "mail", "error")
        deadletterArchiveDir = os.path.join(self.cfg["LOG_ARCHIVE_DIR"], "mail-error")

        if not os.path.isdir(deadletterArchiveDir):
            os.mkdir(deadletterArchiveDir)

        # Move all files
        app.util.executeCommand("mv -f %s/* %s" % (deadletterDir, deadletterArchiveDir))
