
from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy James App files"

    def createRuntime(self):
        phoenixAppsDir = self.cfg['JAMES_DEPLOY_DIR']
        if not os.path.isdir(phoenixAppsDir):
            os.makedirs(phoenixAppsDir)

        app.util.runSystem(
            "cp -rf %s %s/" % (os.path.join(self.cfg['DEPLOY_FILES_DIR'], 'james.sar'), phoenixAppsDir),
            self.log)
