﻿
from app.scripts import BaseConfigScript

import app.landscape

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        localhostIP = '127.0.0.1'
        listenAddresses = app.landscape.Landscape.getSite().getMachinesByService("postgres-datamart")[0].getInternalAddress().getIp()
        if listenAddresses.find(localhostIP) == -1:
            listenAddresses = localhostIP + ',' + listenAddresses
        confStr= """
listen_addresses = '%s'         # what IP address(es) to listen on;
""" % listenAddresses
        return confStr

