from app.scripts import BaseMigrationScript

import os.path
import shutil

import app.defaults

class MigrationScript(BaseMigrationScript):

    scriptDescription = "Update events JAR for Reviewboard Integration"

    def migrate(self):
        rbEventsJar = 'rbctfevents.jar'
        srcname = os.path.join(
                app.defaults.DEFAULT_SERVICE_DIR,
                'reviewboard-adapter',
                rbEventsJar)
        eventsDir = "%s/events" %(self.cfg['DATA_DIR'])
        dstname = os.path.join(eventsDir, rbEventsJar)

        shutil.copy2(srcname, dstname)
