
from app.scripts import BaseFolderScript
import os

class FolderScript(BaseFolderScript):

    scriptDescription = "Create data folders if does not exists"

    def createFolders(self):
        dataDir = self.cfg['DATA_DIR']
        if os.path.islink(dataDir):
            dataDir = os.readlink(dataDir)
        if not os.path.exists(dataDir):
            os.makedirs(dataDir)

    def deleteFolders(self):
        pass

