﻿
from app.scripts import BaseCreateRuntimeScript

import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Remove systemd/init.d service"

    def createRuntime(self):
        initdFile = "/etc/init.d/collabnet"
        if os.path.exists(initdFile) or os.path.islink(initdFile):
            os.remove(initdFile)

        systemdFile = '/etc/systemd/system/collabnet.service'
        if os.path.exists(systemdFile) or os.path.islink(systemdFile):
            os.remove(systemdFile)
