
from app.scripts import BaseCreateRuntimeScript
import commands

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Check if monit package is installed"

    def createRuntime(self):
        if self.cfg["ENABLE_SERVICE_MONITORING"] != "true":
            self.logMesg('success', 'Skipped'.ljust(10), False)
            return

        self.checkMonitRpmInstalled()

    # To check if the monit rpm is installed.
    def checkMonitRpmInstalled(self):
       cmdStr = "rpm -q monit"
       (retVal, outputVal) = commands.getstatusoutput(cmdStr)
       if (retVal != 0 ):
           raise Exception("\nTo enable service monitoring, monit must be installed. You can install monit by running 'sudo yum install monit' after enabling the EPEL package repository.\n")
