﻿
from app.scripts import BaseOptionScript
import app.landscape

class OptionScript(BaseOptionScript):
    def optionSnippet(self):
        clustered = app.landscape.Landscape.getSite().getLocalMachine().isClustered()

        # In a cluster, run the checks more frequently than in a non-clustered environment.
        options = [
            "MONIT_CHECK_INTERVAL=%d" % (60 if clustered else 300),
            "SERVICE_RESTART_AFTER_CYCLES=%d" % (1 + int(self.cfg["SERVICE_MONITOR_RETRIES"]))
            ]

        return "\n".join(options)
